### Method

# Goa Object get_oauth2_based

#### Declaration [src]

    GoaOAuth2Based*
    goa_object_get_oauth2_based (
      GoaObject* object
    )

#### Description [src]

Gets the `GoaOAuth2Based` instance for the D-Bus interface org.gnome.OnlineAccounts.OAuth2Based on `object`, if any.

Gets property | `Goa.Object:oauth2-based`

#### Return value

Type: `GoaOAuth2Based`

A `GoaOAuth2Based` that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.